Modify

Opened 5 years ago

Closed 5 years ago

Last modified 2 years ago

#9982 closed defect (no_response)

wrt150n wireless interface receive problems (Broadcom 4321)

Reported by: paul@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

While running Attitude Adjustment (r28057) on a WRT150N, the wireless LAN interface appears to be mostly non-functional. It can be configured, and it transmits frames that are received by remote hosts: (output from 'iwlist wlan0 scan' on a remote machine)

         Cell 20 - Address: 00:88:88:88:00:2A
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    Quality=22/70  Signal level=-88 dBm  
                    Encryption key:off
                    ESSID:"xxx"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s
                    Bit Rates:24 Mb/s; 36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=000000002bcfa194
                    Extra: Last beacon: 3144ms ago
                    IE: Unknown: 000854696666696E2773
                    IE: Unknown: 010882848B960C121824
                    IE: Unknown: 030106
                    IE: Unknown: 050400020000
                    IE: Unknown: 0706555320010B1B
                    IE: Unknown: 2A0104
                    IE: Unknown: 32043048606C
                    IE: Unknown: DD180050F2020101000003A4000027A4000042435E0062322F00

But when an attempt is made to connect to that network from a remote laptop, nothing happens.

'ifconfig wlan0' on the wrt150n shows transmitted packets, but no received packets:

wlan0     Link encap:Ethernet  HWaddr 00:88:88:88:00:2A  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:20 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 B)  TX bytes:1992 (1.9 KiB)

Also, the MAC address isn't correct.

'dmesg' on the wrt150n seems to show a receive DMA problem (excerpt):

Compat-wireless backport release: compat-wireless-2011-08-09
Backport based on wireless-testing.git master-2011-08-10
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
b43-phy0: Broadcom 4321 WLAN found (core revision 11)
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Registered led device: b43-phy0::tx
Registered led device: b43-phy0::rx
Broadcom 43xx driver loaded [ Features: PNL, GPIO LED Mask: 0x000f, Firmware-ID: FW13 ]
Broadcom 43xx-legacy driver loaded [ Features: PLID, Firmware-ID: FW10 ]
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
nf_conntrack version 0.5.0 (208 buckets, 832 max)
xt_time: kernel timezone is -0000
cfg80211: Calling CRDA for country: US
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
b43-phy0 ERROR: DMA RX reset timed out
ssb: Timeout waiting for bitmask 01800000 on register 0F90 to clear.
b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
br-lan: port 2(wlan0) entering forwarding state
device wlan0 left promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
device wlan0 entered promiscuous mode

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by Zajec

I think it has been fixed in recent wireless-next git tree by 2 patches:
ssb: fix DMA translation for some specific boards
b43: fix DMA on some bugged hardware

Can you retest, when that changes hit OpenWRT?

comment:2 Changed 5 years ago by nbd

the changes should be in latest trunk now, please test

comment:3 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

comment:4 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.